Bug 145898 - Fails and restarts continuously after upgrade from FC2 to FC3
Fails and restarts continuously after upgrade from FC2 to FC3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-23 09:02 EST by Enrique Perez-Terron
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrique Perez-Terron 2005-01-23 09:02:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The X server seems to restart continuously, making it almost
impossible to work in other virtual terminals, as Linux is
continuously switched to tty7.

After a while I get a message saying the display manager has restarted
six times in the last 90 seconds, will wait two minutes before trying
again.

Disabling gdm in inittab, and running gdm under strace reveals that
gdmgreeter tries to open a file /usr/X11R6/lib/X11/fonts/TTF/Vera.ttf
which does not exist, then exits with status 1. 

The directory contains a fonts.cache-1 file which lists a number of
Vera*.ttf files none of which exist in the directory. Renaming it to
save-config.cache-1 solved the problem. However, the greeter should
survive such a situation. 

(I do not remember the fontconfig interface, it is possible that this
should be fixed in e.g. pango, having it go on to the next font when
the first attempted fails for whatever reason.)

Also, the greeter writes a warning message to file descriptor 2, but
this has been opened against /dev/null, making it excessively hard to
diagnose the problem.  While the config file has an option to fill the
syslog with debug messages, when a condition is severe enough to
warrant exiting, the associated error messages should be recorded
somewhere. Syslog with severity LOG_ERR or even LOG_CRIT would be
approprate.



Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6

How reproducible:
Always

Steps to Reproduce:
1. Add Bitstream Vera fonts to some directory, run fc-cache on this
directory to refresh or create fonts.cache-1
2. Remove the font files
3. In the font configuration, make sure this directory is searched
before any other having the Bitstream Vera fonts.  Also, in the list
of preferred fonts for sans-serif, place Bitstream Vera at top. (This
is the default.)
4. Restart gdm, e.g. log out and wait for gdm to set up a new login
screen.
    

Actual Results:  There is no login screen; instead the display is
repeatedly reset to graphical mode in virtual tty7, until a
character-mode screen shows a message that the display manager has
beed restarted six times.

Expected Results:  A login prompting screen

Additional info:

My computer is a AMD K6-2 450Mhz, otherwise plain vanilla.
Comment 1 Matthew Miller 2006-07-10 17:10:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:41:16 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.